vboxadd.sh: failed: Please check that you have gcc, make, the header files for your Linux kernel and possibly perl installed..

 

Image result for virtualboxFirst, if you don’t already use Virtualbox for your local sandbox/development environment, you really should take a look at this very powerful notebook/desktop hypervisor. Not only is it free, but when you install the extensions into your guest VMs you get a ton of features that makes life soooo much better. Everything from the ability to share folders with your host system, to being able to copy and paste between the guest and host, and more. Look from some more details on this in the future.

So, while rebuilding VMs on a new notebook, and I hit a snag installing the Virtualbox plugins on a freshly installed Oracle Linux6 systems

So I do the normal.. mount the extensions and run the installer;

[root@linux6 mnt]# ./VBoxLinuxAdditions.run
Verifying archive integrity… All good.
Uncompressing VirtualBox 5.1.6 Guest Additions for Linux………..
VirtualBox Guest Additions installer
Copying additional installer modules …
Installing additional modules …
vboxadd.sh: Building Guest Additions kernel modules.
Failed to set up service vboxadd, please check the log file
/var/log/VBoxGuestAdditions.log for details.


 

Woops, and error.. so lets look at the log

[root@linux6 mnt]# more /var/log/VBoxGuestAdditions.log

vboxadd.sh: failed: Look at /var/log/vboxadd-install.log to find out what went wrong.
vboxadd.sh: failed: Please check that you have gcc, make, the header files for your Linux kernel and possibly perl installed..
chcon: can’t apply partial context to unlabeled file `/usr/lib64/VBoxGuestAdditions/mount.vboxsf’

 

What’s going on here? This is a brand new 6.8 install? So after a bit of troubleshooting I discovered that the wrong headers are installed, so in order to fix this I first need to uninstall the existing headers; I do this using “yum remove kernel-headers”

 

[root@linux6 mnt]# yum remove kernel-headers
Loaded plugins: security, ulninfo
Setting up Remove Process
Resolving Dependencies
–> Running transaction check
—> Package kernel-headers.x86_64 0:2.6.32-642.4.2.el6 will be erased
–> Processing Dependency: kernel-headers for package: glibc-headers-2.12-1.192.el6.x86_64
–> Processing Dependency: kernel-headers >= 2.2.1 for package: glibc-headers-2.12-1.192.el6.x86_64
–> Running transaction check
—> Package glibc-headers.x86_64 0:2.12-1.192.el6 will be erased
–> Processing Dependency: glibc-headers for package: glibc-devel-2.12-1.192.el6.x86_64
–> Processing Dependency: glibc-headers = 2.12-1.192.el6 for package: glibc-devel-2.12-1.192.el6.x86_64
–> Running transaction check
—> Package glibc-devel.x86_64 0:2.12-1.192.el6 will be erased
–> Processing Dependency: glibc-devel >= 2.2.90-12 for package: gcc-4.4.7-17.el6.x86_64
–> Processing Dependency: glibc-devel for package: oracle-rdbms-server-12cR1-preinstall-1.0-14.el6.x86_64
–> Processing Dependency: glibc-devel for package: 4:perl-devel-5.10.1-141.el6_7.1.x86_64
–> Running transaction check
—> Package gcc.x86_64 0:4.4.7-17.el6 will be erased
–> Processing Dependency: gcc = 4.4.7-17.el6 for package: gcc-c++-4.4.7-17.el6.x86_64
—> Package oracle-rdbms-server-12cR1-preinstall.x86_64 0:1.0-14.el6 will be erased
—> Package perl-devel.x86_64 4:5.10.1-141.el6_7.1 will be erased
–> Processing Dependency: perl-devel for package: 1:perl-ExtUtils-ParseXS-2.2003.0-141.el6_7.1.x86_64
–> Processing Dependency: perl-devel for package: 1:perl-ExtUtils-CBuilder-0.27-141.el6_7.1.x86_64
–> Processing Dependency: perl-devel for package: perl-Test-Simple-0.92-141.el6_7.1.x86_64
–> Processing Dependency: perl-devel for package: perl-ExtUtils-MakeMaker-6.55-141.el6_7.1.x86_64
–> Processing Dependency: perl-devel for package: perl-ExtUtils-Embed-1.28-141.el6_7.1.x86_64
–> Processing Dependency: perl-devel for package: perl-Test-Harness-3.17-141.el6_7.1.x86_64
–> Processing Dependency: perl-devel = 4:5.10.1-141.el6_7.1 for package: perl-core-5.10.1-141.el6_7.1.x86_64
–> Running transaction check
—> Package gcc-c++.x86_64 0:4.4.7-17.el6 will be erased
—> Package perl-ExtUtils-CBuilder.x86_64 1:0.27-141.el6_7.1 will be erased
–> Processing Dependency: perl(ExtUtils::CBuilder) >= 0.15 for package: 1:perl-Module-Build-0.3500-141.el6_7.1.x86_64
—> Package perl-ExtUtils-Embed.x86_64 0:1.28-141.el6_7.1 will be erased
—> Package perl-ExtUtils-MakeMaker.x86_64 0:6.55-141.el6_7.1 will be erased
–> Processing Dependency: perl(ExtUtils::MakeMaker) for package: 1:perl-IPC-Cmd-0.56-141.el6_7.1.x86_64
–> Processing Dependency: perl(ExtUtils::MakeMaker) for package: perl-CPAN-1.9402-141.el6_7.1.x86_64
–> Processing Dependency: perl-ExtUtils-MakeMaker for package: redhat-lsb-core-4.0-7.0.2.el6.x86_64
—> Package perl-ExtUtils-ParseXS.x86_64 1:2.2003.0-141.el6_7.1 will be erased
—> Package perl-Test-Harness.x86_64 0:3.17-141.el6_7.1 will be erased
—> Package perl-Test-Simple.x86_64 0:0.92-141.el6_7.1 will be erased
—> Package perl-core.x86_64 0:5.10.1-141.el6_7.1 will be erased
–> Running transaction check
—> Package perl-CPAN.x86_64 0:1.9402-141.el6_7.1 will be erased
—> Package perl-IPC-Cmd.x86_64 1:0.56-141.el6_7.1 will be erased
–> Processing Dependency: perl(IPC::Cmd) for package: perl-File-Fetch-0.26-141.el6_7.1.x86_64
–> Processing Dependency: perl(IPC::Cmd) >= 0.36 for package: perl-File-Fetch-0.26-141.el6_7.1.x86_64
–> Processing Dependency: perl(IPC::Cmd) for package: 1:perl-Archive-Extract-0.38-141.el6_7.1.x86_64
–> Processing Dependency: perl(IPC::Cmd) for package: perl-CPANPLUS-0.88-141.el6_7.1.x86_64
—> Package perl-Module-Build.x86_64 1:0.3500-141.el6_7.1 will be erased
—> Package redhat-lsb-core.x86_64 0:4.0-7.0.2.el6 will be erased
–> Processing Dependency: redhat-lsb-core(x86-64) = 4.0 for package: redhat-lsb-graphics-4.0-7.0.2.el6.x86_64
–> Processing Dependency: redhat-lsb-core(x86-64) = 4.0-7.0.2.el6 for package: redhat-lsb-4.0-7.0.2.el6.x86_64
–> Processing Dependency: redhat-lsb-core(x86-64) = 4.0 for package: redhat-lsb-printing-4.0-7.0.2.el6.x86_64
–> Running transaction check
—> Package perl-Archive-Extract.x86_64 1:0.38-141.el6_7.1 will be erased
—> Package perl-CPANPLUS.x86_64 0:0.88-141.el6_7.1 will be erased
—> Package perl-File-Fetch.x86_64 0:0.26-141.el6_7.1 will be erased
—> Package redhat-lsb.x86_64 0:4.0-7.0.2.el6 will be erased
–> Processing Dependency: redhat-lsb(x86-64) = 4.0-7.0.2.el6 for package: redhat-lsb-compat-4.0-7.0.2.el6.x86_64
—> Package redhat-lsb-graphics.x86_64 0:4.0-7.0.2.el6 will be erased
—> Package redhat-lsb-printing.x86_64 0:4.0-7.0.2.el6 will be erased
–> Running transaction check
—> Package redhat-lsb-compat.x86_64 0:4.0-7.0.2.el6 will be erased
–> Finished Dependency Resolution
Dependencies Resolved
===============================================
Package                                             Arch                  Version                                  Repository                         Size
==============================================
Removing:
kernel-headers                                      x86_64                2.6.32-642.4.2.el6                       @public_ol6_latest                2.6 M
Removing for dependencies:
gcc                                                 x86_64                4.4.7-17.el6                             @public_ol6_latest                 19 M
gcc-c++                                             x86_64                4.4.7-17.el6                             @public_ol6_latest                 11 M
glibc-devel                                         x86_64                2.12-1.192.el6                           @public_ol6_latest                967 k
glibc-headers                                       x86_64                2.12-1.192.el6                           @public_ol6_latest                2.0 M
oracle-rdbms-server-12cR1-preinstall                x86_64                1.0-14.el6                               @public_ol6_latest                 41 k
perl-Archive-Extract                                x86_64                1:0.38-141.el6_7.1                       @public_ol6_latest                 52 k
perl-CPAN                                           x86_64                1.9402-141.el6_7.1                       @public_ol6_latest                663 k
perl-CPANPLUS                                       x86_64                0.88-141.el6_7.1                         @public_ol6_latest                767 k
perl-ExtUtils-CBuilder                              x86_64                1:0.27-141.el6_7.1                       @public_ol6_latest                 59 k
perl-ExtUtils-Embed                                 x86_64                1.28-141.el6_7.1                         @public_ol6_latest                 17 k
perl-ExtUtils-MakeMaker                             x86_64                6.55-141.el6_7.1                         @public_ol6_latest                608 k
perl-ExtUtils-ParseXS                               x86_64                1:2.2003.0-141.el6_7.1                   @public_ol6_latest                 61 k
perl-File-Fetch                                     x86_64                0.26-141.el6_7.1                         @public_ol6_latest                 46 k
perl-IPC-Cmd                                        x86_64                1:0.56-141.el6_7.1                       @public_ol6_latest                 57 k
perl-Module-Build                                   x86_64                1:0.3500-141.el6_7.1                     @public_ol6_latest                460 k
perl-Test-Harness                                   x86_64                3.17-141.el6_7.1                         @public_ol6_latest                399 k
perl-Test-Simple                                    x86_64                0.92-141.el6_7.1                         @public_ol6_latest                184 k
perl-core                                           x86_64                5.10.1-141.el6_7.1                       @public_ol6_latest                0.0
perl-devel                                          x86_64                4:5.10.1-141.el6_7.1                     @public_ol6_latest                1.8 M
redhat-lsb                                          x86_64                4.0-7.0.2.el6                            @public_ol6_latest                0.0
redhat-lsb-compat                                   x86_64                4.0-7.0.2.el6                            @public_ol6_latest                0.0
redhat-lsb-core                                     x86_64                4.0-7.0.2.el6                            @public_ol6_latest                 22 k
redhat-lsb-graphics                                 x86_64                4.0-7.0.2.el6                            @public_ol6_latest                0.0
redhat-lsb-printing                                 x86_64                4.0-7.0.2.el6                            @public_ol6_latest                0.0
Transaction Summary
Remove       25 Package(s)
Installed size: 40 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Erasing    : perl-core-5.10.1-141.el6_7.1.x86_64                                                                                                     1/25
  Erasing    : perl-CPANPLUS-0.88-141.el6_7.1.x86_64                                                                                                   2/25
  Erasing    : 1:perl-Module-Build-0.3500-141.el6_7.1.x86_64                                                                                           3/25
  Erasing    : oracle-rdbms-server-12cR1-preinstall-1.0-14.el6.x86_64                                                                                  4/25
  Erasing    : 1:perl-ExtUtils-CBuilder-0.27-141.el6_7.1.x86_64                                                                                        5/25
  Erasing    : 1:perl-Archive-Extract-0.38-141.el6_7.1.x86_64                                                                                          6/25
  Erasing    : perl-File-Fetch-0.26-141.el6_7.1.x86_64                                                                                                 7/25
  Erasing    : 1:perl-IPC-Cmd-0.56-141.el6_7.1.x86_64                                                                                                  8/25
  Erasing    : perl-CPAN-1.9402-141.el6_7.1.x86_64                                                                                                     9/25
  Erasing    : perl-ExtUtils-Embed-1.28-141.el6_7.1.x86_64                                                                                            10/25
  Erasing    : redhat-lsb-4.0-7.0.2.el6.x86_64                                                                                                        11/25
  Erasing    : redhat-lsb-compat-4.0-7.0.2.el6.x86_64                                                                                                 12/25
  Erasing    : redhat-lsb-graphics-4.0-7.0.2.el6.x86_64                                                                                               13/25
  Erasing    : redhat-lsb-printing-4.0-7.0.2.el6.x86_64                                                                                               14/25
  Erasing    : redhat-lsb-core-4.0-7.0.2.el6.x86_64                                                                                                   15/25
/var/tmp/rpm-tmp.WAOxcy: line 1: lsb_release: command not found
  Erasing    : perl-Test-Simple-0.92-141.el6_7.1.x86_64                                                                                               16/25
  Erasing    : perl-Test-Harness-3.17-141.el6_7.1.x86_64                                                                                              17/25
  Erasing    : perl-ExtUtils-MakeMaker-6.55-141.el6_7.1.x86_64                                                                                        18/25
  Erasing    : 1:perl-ExtUtils-ParseXS-2.2003.0-141.el6_7.1.x86_64                                                                                    19/25
  Erasing    : 4:perl-devel-5.10.1-141.el6_7.1.x86_64                                                                                                 20/25
  Erasing    : gcc-c++-4.4.7-17.el6.x86_64                                                                                                            21/25
  Erasing    : gcc-4.4.7-17.el6.x86_64                                                                                                                22/25
  Erasing    : glibc-devel-2.12-1.192.el6.x86_64                                                                                                      23/25
  Erasing    : glibc-headers-2.12-1.192.el6.x86_64                                                                                                    24/25
  Erasing    : kernel-headers-2.6.32-642.4.2.el6.x86_64                                                                                               25/25
  Verifying  : redhat-lsb-printing-4.0-7.0.2.el6.x86_64                                                                                                1/25
  Verifying  : redhat-lsb-core-4.0-7.0.2.el6.x86_64                                                                                                    2/25
  Verifying  : gcc-c++-4.4.7-17.el6.x86_64                                                                                                             3/25
  Verifying  : 4:perl-devel-5.10.1-141.el6_7.1.x86_64                                                                                                  4/25
  Verifying  : kernel-headers-2.6.32-642.4.2.el6.x86_64                                                                                                5/25
  Verifying  : 1:perl-IPC-Cmd-0.56-141.el6_7.1.x86_64                                                                                                  6/25
  Verifying  : perl-Test-Simple-0.92-141.el6_7.1.x86_64                                                                                                7/25
  Verifying  : redhat-lsb-graphics-4.0-7.0.2.el6.x86_64                                                                                                8/25
  Verifying  : perl-ExtUtils-Embed-1.28-141.el6_7.1.x86_64                                                                                             9/25
  Verifying  : glibc-devel-2.12-1.192.el6.x86_64                                                                                                      10/25
  Verifying  : 1:perl-Module-Build-0.3500-141.el6_7.1.x86_64                                                                                          11/25
  Verifying  : perl-CPAN-1.9402-141.el6_7.1.x86_64                                                                                                    12/25
  Verifying  : 1:perl-Archive-Extract-0.38-141.el6_7.1.x86_64                                                                                         13/25
  Verifying  : oracle-rdbms-server-12cR1-preinstall-1.0-14.el6.x86_64                                                                                 14/25
  Verifying  : perl-core-5.10.1-141.el6_7.1.x86_64                                                                                                    15/25
  Verifying  : perl-ExtUtils-MakeMaker-6.55-141.el6_7.1.x86_64                                                                                        16/25
  Verifying  : glibc-headers-2.12-1.192.el6.x86_64                                                                                                    17/25
  Verifying  : redhat-lsb-compat-4.0-7.0.2.el6.x86_64                                                                                                 18/25
  Verifying  : 1:perl-ExtUtils-ParseXS-2.2003.0-141.el6_7.1.x86_64                                                                                    19/25
  Verifying  : perl-Test-Harness-3.17-141.el6_7.1.x86_64                                                                                              20/25
  Verifying  : perl-CPANPLUS-0.88-141.el6_7.1.x86_64                                                                                                  21/25
  Verifying  : perl-File-Fetch-0.26-141.el6_7.1.x86_64                                                                                                22/25
  Verifying  : gcc-4.4.7-17.el6.x86_64                                                                                                                23/25
  Verifying  : 1:perl-ExtUtils-CBuilder-0.27-141.el6_7.1.x86_64                                                                                       24/25
  Verifying  : redhat-lsb-4.0-7.0.2.el6.x86_64                                                                                                        25/25
Removed:
  kernel-headers.x86_64 0:2.6.32-642.4.2.el6
Dependency Removed:
  gcc.x86_64 0:4.4.7-17.el6                                                       gcc-c++.x86_64 0:4.4.7-17.el6
  glibc-devel.x86_64 0:2.12-1.192.el6                                             glibc-headers.x86_64 0:2.12-1.192.el6
  oracle-rdbms-server-12cR1-preinstall.x86_64 0:1.0-14.el6                        perl-Archive-Extract.x86_64 1:0.38-141.el6_7.1
  perl-CPAN.x86_64 0:1.9402-141.el6_7.1                                           perl-CPANPLUS.x86_64 0:0.88-141.el6_7.1
  perl-ExtUtils-CBuilder.x86_64 1:0.27-141.el6_7.1                                perl-ExtUtils-Embed.x86_64 0:1.28-141.el6_7.1
  perl-ExtUtils-MakeMaker.x86_64 0:6.55-141.el6_7.1                               perl-ExtUtils-ParseXS.x86_64 1:2.2003.0-141.el6_7.1
  perl-File-Fetch.x86_64 0:0.26-141.el6_7.1                                       perl-IPC-Cmd.x86_64 1:0.56-141.el6_7.1
  perl-Module-Build.x86_64 1:0.3500-141.el6_7.1                                   perl-Test-Harness.x86_64 0:3.17-141.el6_7.1
  perl-Test-Simple.x86_64 0:0.92-141.el6_7.1                                      perl-core.x86_64 0:5.10.1-141.el6_7.1
  perl-devel.x86_64 4:5.10.1-141.el6_7.1                                          redhat-lsb.x86_64 0:4.0-7.0.2.el6
  redhat-lsb-compat.x86_64 0:4.0-7.0.2.el6                                        redhat-lsb-core.x86_64 0:4.0-7.0.2.el6
  redhat-lsb-graphics.x86_64 0:4.0-7.0.2.el6                                      redhat-lsb-printing.x86_64 0:4.0-7.0.2.el6
Complete!
vboxadd.sh: failed: Please check that you have gcc, make, the header files for your Linux kernel and possibly perl installed..

 

Now that all the headers are removed, I need to make sure we use the right UEK repo to install the new ones. I first delete and replace the yum config file, with the latest one from Oracle’s public-yum site.

 

[root@linux6 mnt]# cd /etc/yum.repos.d


[root@linux6 yum.repos.d]# ls
public-yum-ol6.repo
[root@linux6 yum.repos.d]# rm public-yum-ol6.repo
rm: remove regular file `public-yum-ol6.repo’? y
[root@linux6 yum.repos.d]#
[root@linux6 yum.repos.d]# wget http://yum.oracle.com/public-yum-ol6.repo


–2016-10-07 11:56:01–  http://yum.oracle.com/public-yum-ol6.repo
Resolving yum.oracle.com… 184.51.112.65, 184.51.112.97


Connecting to yum.oracle.com|184.51.112.65|:80… connected.
HTTP request sent, awaiting response… 200 OK
Length: 7301 (7.1K) [text/plain]
Saving to: “public-yum-ol6.repo”


100%[==============================================>] 7,301       –.-K/s   in 0s
2016-10-07 11:56:02 (298 MB/s) – “public-yum-ol6.repo” saved [7301/7301]

Now, I will look at my kernel to check what UEK I am using. A uname –a will show this.

[root@linux6 yum.repos.d]# uname -a
Linux linux6 3.8.13-118.11.2.el6uek.x86_64 #2 SMP Wed Sep 21 11:37:57 PDT 2016 x86_64 x86_64 x86_64 GNU/Linux

 

Here I can see I am running UEK3, so next I will enable the UEK3_Latest repo. Editing the file /etc/yum.repos.d/public-yum-ol6.repo and making ure that ol6_UEK3_latest is enabled

 

[ol6_UEKR3_latest]
name=Latest Unbreakable Enterprise Kernel for Oracle Linux $releasever ($basearch)
baseurl=http://yum.oracle.com/repo/OracleLinux/OL6/UEKR3/latest/$basearch/
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-oracle
gpgcheck=1

enabled=1

 

Next, it’s time to reinstall the kervel devel packages; witht he command “yum -y install kernel-uek-devel-$(uname -r)”  Here I want to make sure the correct headers are installed, so I am forcing the uek-devel to match the running kernel.

 

 

[root@linux6 yum.repos.d]# yum -y install kernel-uek-devel-$(uname -r)
Loaded plugins: security, ulninfo
Setting up Install Process
ol6_UEKR3_latest                                                                                                                     | 1.2 kB     00:00
ol6_UEKR3_latest/primary                                                                                                             |  27 MB     00:16
ol6_UEKR3_latest                                                                                                                                    676/676
ol6_UEK_latest                                                                                                                       | 1.2 kB     00:00
ol6_UEK_latest/primary                                                                                                               |  28 MB     00:13
ol6_UEK_latest                                                                                                                                      596/596
ol6_latest                                                                                                                           | 1.4 kB     00:00
ol6_latest/primary                                                                                                                   |  60 MB     00:26
ol6_latest                                                                                                                                      36526/36526
Resolving Dependencies
–> Running transaction check
—> Package kernel-uek-devel.x86_64 0:3.8.13-118.11.2.el6uek will be installed
–> Processing Dependency: libdtrace-ctf for package: kernel-uek-devel-3.8.13-118.11.2.el6uek.x86_64
–> Running transaction check
—> Package libdtrace-ctf.x86_64 0:0.5.0-2 will be installed
–> Processing Dependency: gcc for package: libdtrace-ctf-0.5.0-2.x86_64
–> Running transaction check
—> Package gcc.x86_64 0:4.4.7-17.el6 will be installed
–> Processing Dependency: glibc-devel >= 2.2.90-12 for package: gcc-4.4.7-17.el6.x86_64
–> Running transaction check
—> Package glibc-devel.x86_64 0:2.12-1.192.el6 will be installed
–> Processing Dependency: glibc-headers = 2.12-1.192.el6 for package: glibc-devel-2.12-1.192.el6.x86_64
–> Processing Dependency: glibc-headers for package: glibc-devel-2.12-1.192.el6.x86_64
–> Running transaction check
—> Package glibc-headers.x86_64 0:2.12-1.192.el6 will be installed
–> Processing Dependency: kernel-headers >= 2.2.1 for package: glibc-headers-2.12-1.192.el6.x86_64
–> Processing Dependency: kernel-headers for package: glibc-headers-2.12-1.192.el6.x86_64
–> Running transaction check
—> Package kernel-headers.x86_64 0:2.6.32-642.6.1.el6 will be installed
–> Finished Dependency Resolution
Dependencies Resolved
================================================
Package                               Arch                        Version                                      Repository                             Size
===============================================
Installing:
kernel-uek-devel                      x86_64                      3.8.13-118.11.2.el6uek                       ol6_UEKR3_latest                      9.4 M
Installing for dependencies:
gcc                                   x86_64                      4.4.7-17.el6                                 ol6_latest                             10 M
glibc-devel                           x86_64                      2.12-1.192.el6                               ol6_latest                            988 k
glibc-headers                         x86_64                      2.12-1.192.el6                               ol6_latest                            617 k
kernel-headers                        x86_64                      2.6.32-642.6.1.el6                           ol6_latest                            4.4 M
libdtrace-ctf                         x86_64                      0.5.0-2                                      ol6_UEKR3_latest                       28 k
Transaction Summary
==============================================
Install       6 Package(s)
Total download size: 25 M
Installed size: 56 M
Downloading Packages:
(1/6): gcc-4.4.7-17.el6.x86_64.rpm                                                                                                   |  10 MB     00:09
(2/6): glibc-devel-2.12-1.192.el6.x86_64.rpm                                                                                         | 988 kB     00:00
(3/6): glibc-headers-2.12-1.192.el6.x86_64.rpm                                                                                       | 617 kB     00:00
(4/6): kernel-headers-2.6.32-642.6.1.el6.x86_64.rpm                                                                                  | 4.4 MB     00:02
(5/6): kernel-uek-devel-3.8.13-118.11.2.el6uek.x86_64.rpm                                                                            | 9.4 MB     00:05
(6/6): libdtrace-ctf-0.5.0-2.x86_64.rpm                                                                                              |  28 kB     00:00
————————————————————————————————————————————————————
Total                                                                                                                       1.3 MB/s |  25 MB     00:19
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : kernel-headers-2.6.32-642.6.1.el6.x86_64                                                                                                 1/6
  Installing : glibc-headers-2.12-1.192.el6.x86_64                                                                                                      2/6
  Installing : glibc-devel-2.12-1.192.el6.x86_64                                                                                                        3/6
  Installing : gcc-4.4.7-17.el6.x86_64                                                                                                                  4/6
  Installing : libdtrace-ctf-0.5.0-2.x86_64                                                                                                             5/6
  Installing : kernel-uek-devel-3.8.13-118.11.2.el6uek.x86_64                                                                                           6/6
  Verifying  : glibc-devel-2.12-1.192.el6.x86_64                                                                                                        1/6
  Verifying  : glibc-headers-2.12-1.192.el6.x86_64                                                                                                      2/6
  Verifying  : kernel-headers-2.6.32-642.6.1.el6.x86_64                                                                                                 3/6
  Verifying  : gcc-4.4.7-17.el6.x86_64                                                                                                                  4/6
  Verifying  : kernel-uek-devel-3.8.13-118.11.2.el6uek.x86_64                                                                                           5/6
  Verifying  : libdtrace-ctf-0.5.0-2.x86_64                                                                                                             6/6
Installed:
  kernel-uek-devel.x86_64 0:3.8.13-118.11.2.el6uek
Dependency Installed:
  gcc.x86_64 0:4.4.7-17.el6       glibc-devel.x86_64 0:2.12-1.192.el6  glibc-headers.x86_64 0:2.12-1.192.el6  kernel-headers.x86_64 0:2.6.32-642.6.1.el6
  libdtrace-ctf.x86_64 0:0.5.0-2
Complete!

 

Now all I need to do is run the vbox guest additions again

[root@linux6 mnt]# ./VBoxLinuxAdditions.run
Verifying archive integrity… All good.
Uncompressing VirtualBox 5.1.6 Guest Additions for Linux………..
VirtualBox Guest Additions installer
Removing installed version 5.1.6 of VirtualBox Guest Additions…
vboxadd.sh: Stopping VirtualBox Additions.
Copying additional installer modules …
Installing additional modules …
vboxadd.sh: Building Guest Additions kernel modules.
vboxadd.sh: Starting the VirtualBox Guest Additions.
Could not find the X.Org or XFree86 Window System, skipping.

 

All good, I can use the extensions now!

14 thoughts on “vboxadd.sh: failed: Please check that you have gcc, make, the header files for your Linux kernel and possibly perl installed..

  1. I’ve been having this issue for months and have not been able to fix it! How did you figure out the fix? Are you looking for job?

    • Lots of trial and error.. it helps I am stubborn.

      Nope, not looking for a new job, very happy with my current employer, but thanks!

  2. installing guest additions has been pain. I am half way though and my yum install keeps failing at this rpm rhel-sjis-for-rhel-6-server-eus-debug-rpms.

    I have tried every every every thing but failed. Hope you can through some light.

    Thanks

  3. Hello! I’m using Kali Linux v2 and have had lots of problems with installing the guest additions. I read through the article and i tried it, but when I came to the yum part nothing worked. I tried changing it to apt-get remove but the package is not available.

    Also there is no yum folder in the etc folder, but I guess that is because I’m using Kali?

    Hope you can get an answer for me as quick as possible! 🙂

      • install is a yum command option. I do not run a debian based Linux, but the process to install the correct kernel devel pack should be the same basic process. If I get a chance I’ll try this on debian and document the process.

Leave a Reply

Your email address will not be published. Required fields are marked *

*